# This file is part of ROBOTGAME
#
# ROBOTGAME is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# ROBOTGAME is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# ROBOTGAME.  If not, see <http://www.gnu.org/licenses/>.
#
# ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' '
#
#                          jukebox.py
#                     --------------------
#       date created : Tue Aug 7 2012
#          copyright : (C) 2012 Sakse Dalum
#      maintained by : Sakse Dalum <don_s@hongabar.org>

"""
The jukebox. Handles playback of background music.
"""

import os
import pygame

class Jukebox(object):
    """Create an object to handle music playback."""
    def __init__(self, music_dir, music_files, volume=100, playing=True):
        self.__dict__.update(locals())

        self.iterator = 0

    def play(self):
        pygame.mixer.music.load(
            os.path.join(self.music_dir, self.music_files[self.iterator]))
        pygame.mixer.music.play()
        self.iterator = (self.iterator + 1) % len(self.music_files)

    def stop(self):
        pygame.mixer.music.stop()
